Subject: Bug#719860: powertop: wrong power report status

From: Ritesh Raj Sarraf <[email-masked]>
Date: Fri, 20 Mar 2015 08:57:39 +0530

Package: powertop
Version: 2.6.1-1
Followup-For: Bug #719860

Please find the acpi -V output below, though I can't find any point to build relation with powertop's output.

$acpi -V
Battery 0: Discharging, 87%, 05:20:00 remaining
Battery 0: design capacity 2680 mAh, last full capacity 2680 mAh = 100%
Adapter 0: off-line
Thermal 0: ok, 127.0 degrees C
Thermal 0: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 1: ok, 30.0 degrees C
Thermal 1: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 1: trip point 1 switches to mode passive at temperature 55.0 degrees C
Thermal 2: ok, 0.0 degrees C
Thermal 2: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 3: ok, 0.0 degrees C
Thermal 3: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 4: ok, 0.0 degrees C
Thermal 4: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 4: trip point 1 switches to mode passive at temperature 102.0 degrees C
Thermal 5: ok, 40.0 degrees C
Thermal 5: trip point 0 switches to mode critical at temperature 128.0 degrees C
Thermal 5: trip point 1 switches to mode hot at temperature 99.0 degrees C
Cooling 0: x86_pkg_temp no state information available
Cooling 1: intel_powerclamp no state information available
Cooling 2: Processor 0 of 10
Cooling 3: Processor 0 of 10
Cooling 4: Processor 0 of 10
Cooling 5: Processor 0 of 10

I've tried powertop on 3 machines, and everywhere I get weird readings. It sure is a powertop problem. It could also be a screwed up thermal driver. Look at the thermal output. It has been wrong for months now.

Please also see latest screenshot attached. It report that the bridge interface is consuming 50 W of power.

- System Information:
Debian Release: 8.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_IN, LC_CTYPE=en_IN (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages powertop depends on:
ii  libc6             2.19-15
ii  libgcc1           1:4.9.2-10
ii  libncursesw5      5.9+20140913-1+b1
ii  libnl-3-200       3.2.24-2
ii  libnl-genl-3-200  3.2.24-2
ii  libpci3           1:3.2.1-3
ii  libstdc++6        4.9.2-10
ii  libtinfo5         5.9+20140913-1+b1

powertop recommends no packages.

Versions of packages powertop suggests:
pn  cpufrequtils       <none>
ii  laptop-mode-tools  1.66-2

-- no debconf information